using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace Project.View
{
    public class FaceCamera : MonoBehaviour
    {
        private Transform camera;

        protected void Awake()
        {
            this.camera = GameObject.Find("Main Camera").transform; 
        }

        protected void LateUpdate()
        {
            this.transform.forward = this.camera.forward;
            this.transform.rotation = Quaternion.Euler(new Vector3(this.transform.rotation.eulerAngles.x, 0f, 0f));
        }
    }
}
